Skip to main content
PATCH
/
api
/
v4
/
projects
/
{projectId}
/
views
/
{viewId}
curl -X PATCH "https://fluar.com/api/v4/projects/proj_550e8400e29b41d4a716446655440000/views/view_aaa" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"name": "Hot Leads", "sorting": [{"id": "col_aaa111", "desc": true}]}'
{
  "success": true,
  "view": {
    "id": "view_aaa",
    "name": "Hot Leads",
    "emoji": "🎯",
    "order": 1,
    "sorting": [{"id": "col_aaa111", "desc": true}]
  }
}
Update view name, filters, sorting, or column visibility. Requires a Bearer token.
curl -X PATCH "https://fluar.com/api/v4/projects/proj_550e8400e29b41d4a716446655440000/views/view_aaa" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"name": "Hot Leads", "sorting": [{"id": "col_aaa111", "desc": true}]}'
{
  "success": true,
  "view": {
    "id": "view_aaa",
    "name": "Hot Leads",
    "emoji": "🎯",
    "order": 1,
    "sorting": [{"id": "col_aaa111", "desc": true}]
  }
}